Page MenuHomePhabricator

Step 2: confirm existing reference when edit doesn't influence it
Closed, ResolvedPublic3 Estimated Story Points

Description

As an editor I want to be able to confirm an existing reference if my edit doesn't invalidate it in order to remove the warning.

Problem:
When fixing a typo in a value for example that does not invalidate the reference then I can only make the warning go away by reloading the page (This will be the situation after completion of T234790).

Screenshots/mockups:

Find specs and more copy explorations in this Figma page.

BDD
GIVEN an edit that changes the value but not the reference
AND the warning icon is visible
WHEN clicking on the warning icon the explanation is shown
AND I click the "Remove warning" button to confirm that reference still matches the value
THEN the popper closes
AND the warning icon goes away

Acceptance criteria:

  • When confirming the reference is fine the warning icon goes away

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 7 2019, 8:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Jan_Dittrich @Erdinc_Ciftci_WMDE Can you please create a mockup for this and add it?

As far as I am concerned and according the the flowcharts I send around, this is milestone 2. Are we already there?

As discussed yes. We'll start with discussing milestone 2 stories in story writing on Friday.

Jan_Dittrich updated the task description. (Show Details)Oct 9 2019, 2:38 PM

The above mockup says "remove message" which is pretty much what it does. It does not say "the edit is fine" or an equivalent, since this would probably need more words than I can fit on a button. Also it currently has no fixed semantic meaning, so removing it for one user is what is happening. When we have the 3rd milestone we need a more elaborate UI which gives some explanation for the now shared assertion of fine/not fine, probably in a popup.

I also show a static warning message. However, I find not having it dynamically problematic usability-wise since we do not use the word "value" in our UI, so it is likely that people do not understand the not-dynamic message using the term "value" (Except if they already know "Wikidata-speak", but this is something they need to learn from others, so it is not cool for new users).

Lydia_Pintscher renamed this task from confirm existing reference when edit doesn't influence it to Step 2: confirm existing reference when edit doesn't influence it.Oct 11 2019, 10:31 AM

Change "remove" to "dismiss"

Jan_Dittrich updated the task description. (Show Details)Oct 14 2019, 2:16 PM
WMDE-leszek set the point value for this task to 3.Oct 14 2019, 2:18 PM

Ping @Sarai-WMDE for working more on mockup.

Tarrow moved this task from Ready to pick up to Needs Work on the Wikidata Tainted References board.
Tarrow added a subscriber: Tarrow.

Can you add the mockup details here

Jan_Dittrich added a mock: Restricted Mockup.Dec 19 2019, 11:01 AM

{M290/985}

Sarai-WMDE updated the task description. (Show Details)Dec 23 2019, 10:21 AM
Tarrow updated the task description. (Show Details)Jan 6 2020, 3:12 PM

Current state: Sarai is working on new mockup.

WMDE-leszek updated the task description. (Show Details)Jan 13 2020, 3:25 PM
Sarai-WMDE updated the task description. (Show Details)Jan 13 2020, 3:57 PM
Sarai-WMDE removed Sarai-WMDE as the assignee of this task.Jan 16 2020, 9:11 AM
Sarai-WMDE updated the task description. (Show Details)
hoo claimed this task.Jan 20 2020, 12:55 PM
hoo moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint9 board.

Change 566319 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] TR: Add "remove warning" button to popper

https://gerrit.wikimedia.org/r/566319

Change 566319 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Add "remove warning" button to popper

https://gerrit.wikimedia.org/r/566319

Current state:

Removing the warning works nicely \o/

The text isn't quite right yet. It should be "The value of this property was changed, but the reference remained the same. You may remove this warning in case the reference is still correct"

Change 567462 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] TR: Update popper text to mention the new button

https://gerrit.wikimedia.org/r/567462

Change 567462 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Update popper text to mention the new button

https://gerrit.wikimedia.org/r/567462

Just tried this on https://wikidata.beta.wmflabs.org/wiki/Q535620 and the text isn't updated yet. Just a matter of waiting some more?

Sarai-WMDE added a comment.EditedJan 31 2020, 11:58 AM

Hello there! Just quickly checked the popper in https://wikidata.beta.wmflabs.org/wiki/Q535620 and noticed that:

  1. The height of the button should be increased to 32px (@size-base; in OOUI)
  1. The padding between the button and the label should be 12px (1.25em) > This was wrong in the specs, my bad! I found 2 different values for padding in the WMF files, but I definitely think that we should stick to what they indicate in the Style Guide (https://design.wikimedia.org/style-guide/components/buttons.html).
  1. The active and focus states seem off (a wide blue shadow is applied). Please check specs in Figma.

Tarrow claimed this task.Feb 3 2020, 12:48 PM
Tarrow added a subscriber: hoo.
Tarrow added a comment.Feb 4 2020, 8:59 AM

Hey @Sarai-WMDE,

Just written a patch that isn't yet merged so you won't yet see the effects on beta

  1. I think I've identified that the line-height wasn't being correctly propagated down to the button label
  2. I've adjusted the horizontal padding between button label and button border
  3. I struggle to reproduce this; I seem to get what I think the specs say. Focus looks like the below to me.

From storybook:

From my development wiki:

Change 569835 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] TR: Fix popper button styling

https://gerrit.wikimedia.org/r/569835

Change 569835 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Fix popper button styling

https://gerrit.wikimedia.org/r/569835

I've checked the update styles. Button height and padding is fixed according to specs now. The additional border in active/focus state seem to be a browser-specific problem, and after the discussion in the team we've decided to address it separately.

I am moving this task to Done column for now. Please double check the styling at your convenience @Sarai-WMDE. We'll close the ticket only after this.

I double-checked the styling and it looks very good! As mentioned, I keep seeing the blue blurred shadow margin on focus state in Chrome: great to hear this is being tackled! The focus state in your screenshots looks exactly as it should, @Tarrow. Thanks very much for pinging me on this, @WMDE-leszek ☺️ Please do not hesitate to keep doing that in the future!